# Get document

### Input

User needs to provide document type and it's id

<table><thead><tr><th width="256">Attribute</th><th width="196">Type</th><th>Description</th></tr></thead><tbody><tr><td>type</td><td>String</td><td><p></p><p>The type of the document or entry, which can be one of the following:</p><ul><li><code>CONSTITUTION</code></li><li><code>TERMINATION</code></li><li><code>DENOMINATION</code></li><li><code>REGISTERED_OFFICE</code></li><li><code>OTHER_ADDRESS</code></li><li><code>OBJECT</code></li><li><code>CAPITAL_ACTIONS</code></li><li><code>RESIGNATIONS_NOMINATIONS</code></li><li><code>GENERAL_ASSEMBLY</code></li><li><code>FISCAL_YEAR</code></li><li><code>STATUTES</code></li><li><code>LEGAL_FORM_MODIFICATION</code></li><li><code>RESTRUCTURING</code></li><li><code>ANNUAL_ACCOUNTS</code></li><li><code>MISC</code></li><li><code>BCE_CANCELLATION</code></li><li><code>NBB_ANNUAL_ACCOUNTS</code></li></ul></td></tr><tr><td>id</td><td>String</td><td>A URL or identifier for the document or entry.</td></tr></tbody></table>

### Output

**Documents**

Possible document names:

* `constitution`
* `termination`
* `denomination`
* `registeredOffice`
* `otherAddress`
* `object`
* `capitalActions`
* `resignationsNominations`
* `generalAssembly`
* `fiscalYear`
* `statutes`
* `legalFormModification`
* `restructuring`
* `annualAccounts`
* `misc`
* `bceCancellation`
* `nbbAnnualAccounts`

\
**Document**

| Attribute    | Type   | Description                         |
| ------------ | ------ | ----------------------------------- |
| resourceId   | String | Unique identifier for the resource. |
| resourcePath | String | Path to the resource file.          |
| resourceName | String | Name of the resource file.          |

<br>

```json
{
  "cbe": {
    "documents": {
      "denomination": {
        "resourceId": "6c7c1703-e85f-446c-bc74-55b478cd235b",
        "resourcePath": "results/6c076010-be31-402e-a787-74811b755838/6c7c1703-e85f-446c-bc74-55b478cd235b/17101092.pdf",
        "resourceName": "17101092.pdf"
      }
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/cbe-belgium-company-register/company-profile/get-document.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
